% CAL 2/4/03
%
% Determine correlation between click points and post centers; delete centers associated with clicks
% (Note: compare_clicks is for eliminating extra centers, compare_clicks2 is for separating centers
% into different categories (i.e., cell posts, background posts, degenerate posts)

function [out]=compare_clicks(x,y,z);

x=double(x);
y=double(y);
z=double(z);

for i = 1:length(z);
   for j=1:length(x);
      if abs(z(i,1)-y(j))<15 & abs(z(i,2)-x(j))<15;
          z(i,:)=[0 0];
      end
   end
end

for i=length(z):-1:1;
   if z(i,:)==[0 0];
      z(i,:)=[];
   end
end
   
out=z;
   
end
      

return 
