clear all;

close all;

warning off;

vinc_file=uigetfile('*.tif');

figure;

maximize(gcf);



draw_vinc3;

uiwait(msgbox(['Drag Rectangle to Crop Image. Set the Crop Box outside of the posts to be analyzed such that it is not touching any posts. Click OK to Continue.'],'Image Cropping','modal'));



    k = waitforbuttonpress;
    point1 = get(gca,'CurrentPoint');    % button down detected
    finalRect = rbbox;                   % return figure units
    point2 = get(gca,'CurrentPoint');    % button up detected
    point1 = point1(1,1:2);              % extract x and y
    point2 = point2(1,1:2);
    p1 = min(point1,point2);             % calculate locations
    o1 = abs(point1-point2);         % and dimensions
    offset=o1;
    x = [p1(1) p1(1)+offset(1) p1(1)+offset(1) p1(1) p1(1)];
    y = [p1(2) p1(2) p1(2)+offset(2) p1(2)+offset(2) p1(2)];
    hold on
    axis manual
    plot(x,y,'r','linewidth',5)
    
 crop_ok=questdlg('Is Crop Area (red) ok?','Crop Area');
 
 while crop_ok(1:2)=='No'; 
    subplot(2,1,1); imshow(vinc2b); subplot(2,1,2); imshow(vinc4);
    maximize(gcf);
    k = waitforbuttonpress;
    point1 = get(gca,'CurrentPoint');    % button down detected
    finalRect = rbbox;                   % return figure units
    point2 = get(gca,'CurrentPoint');    % button up detected
    point1 = point1(1,1:2);              % extract x and y
    point2 = point2(1,1:2);
    p1 = min(point1,point2);             % calculate locations
    o1 = abs(point1-point2);         % and dimensions
    offset=o1;
    x = [p1(1) p1(1)+offset(1) p1(1)+offset(1) p1(1) p1(1)];
    y = [p1(2) p1(2) p1(2)+offset(2) p1(2)+offset(2) p1(2)];
    hold on
    axis manual
    plot(x,y,'r','linewidth',5)
    crop_ok=questdlg('Is Crop Area (red) ok?','Crop Area');
 end

 vinc4a=imcrop(vinc4,[p1 offset]);
 vinc2b=imcrop(vinc2b,[p1 offset]);
 


subplot(1,1,1);
imshow(vinc4a);
maximize(gcf);
 
 uiwait(msgbox('Click OK to select areas to remove'));

 t=uicontrol('style','text','String','Left Click to Remove Area. Press Space Bar to undo previous selection. Right click when finished.','Position',[500/1152 30/800 200/1152 40/800],'Units','normalized');
 
 %remove_flag = 0;
 
 %cont_button=uicontrol('Style','Pushbutton','String','Continue','Position',[500/1152 30/800 200/1152 30/800],'Units','normalized','Callback','cont_vinc');
 
 vinc4b=vinc4a;
 
 vinc4b_old=vinc4b;
 
 button=0;
 
 i=1;
 
 hold on;
 
 while button ~= 3;
    [x,y,button]=ginput(1);
    if button == 1;
        last_vinc(:,:,i)=bwselect(vinc4b,x,y);
        vinc4b=vinc4b-last_vinc(:,:,i);
        i=i+1;
        imshow(vinc4b);
    elseif button == 32;
        if i > 1;
        vinc4b=vinc4b+last_vinc(:,:,i-1);
        imshow(vinc4b);
        i=i-1;
        end
    end
 end
 
 
 %vinc4b=vinc4a;
 
 %for i=1:length(x);
 %   vinc4b=vinc4b-bwselect(vinc4b,x(i),y(i));
 %end

[boundaries_vinc,L_vinc]=bwboundaries(vinc4b,4);
    
s_vinc=regionprops(L_vinc,'basic');

convert = .108153;

total_vinc=sum(cat(1,s_vinc.Area))*convert^2;

hold off;

subplot(1,1,1);

post_vinc_h1=imshow(vinc2b);


title([sprintf('%9.2f',total_vinc) ' um^2']);

hold on;

k=1;

for i=1:length(s_vinc);
    b=boundaries_vinc{i};
        post_vinc_h(i)=plot(b(:,2),b(:,1),'y');
        b_vinc(k)=i;
        k=k+1;
end

fid=fopen('fa_summary.txt','a');

fprintf(fid,'%s ;', [vinc_file]);

fprintf(fid,'%9.4f \r', [total_vinc]);

fclose(fid);