% CAL 1/22/03
%
% Determines if there are missing centers or extra centers, and adjusts accordingly


sens_change=input('Are all posts accounted for? (y or n)','s');

% If posts are missing, allow user to adjust size of disk structuring element

while sens_change == 'n';
   disk_size=input('Adjust cutoff ratio (0 to 1, default = 0.3)');
   image_proc;
   sens_change=input('Are all posts accounted for? (y or n)','s');
end

edit_centers=input('Are there extra centers? (y or n)','s');

% If there are extra centers, allow user to remove by clicking on them

if edit_centers == 'y';
   
   disp('Click on extra centers. Press <enter> when done.');
   
   [extra_x,extra_y]=ginput;
   
   centr2=compare_clicks(extra_x,extra_y,centr2);
end

missing_centers=input('Are there missing posts? (y or n)','s');   
   
if missing_centers=='y';
      
   disp('Click on extra centers. Press <enter> when done.');
   
  	[missing_x,missing_y]=ginput;
   
   centr2=[centr2; missing_x missing_y];
   
end

