% CAL 7/18/03
%
% Correct posts using top/bottom method

show_posts_top;

sens_change_top=questdlg('Are all posts accounted for in top image?','Post Correction');

% If posts are missing, allow user to adjust size of disk structuring element


while sens_change_top(1:2) == 'No';
   tf=inputdlg('Adjust scaling factor (default=1):');
   top_factor=str2num(tf{1});
   image_proc_top;
   show_posts_top;
   sens_change_top=questdlg('Are all posts accounted for in top image?','Post Correction');
end

edit_centers_top=questdlg('Are there extra centers?','Post Correction');

% If there are extra centers, allow user to remove by clicking on them

if edit_centers_top(1) == 'Y';
   
   uiwait(msgbox('Click on extra centers in top image. Press <enter> when done.','Center Removal','modal'));
   
   [extra_y_top,extra_x_top]=ginput;
   
   centr2_top=compare_clicks(extra_x_top,extra_y_top,centr2_top);
end

missing_centers_top=questdlg('Are there missing posts?','Post Correction');   
   
if missing_centers_top(1) == 'Y';
      
   uiwait(msgbox('Click on missing centers. Press <enter> when done.','Missing Centers','modal'));
   
  	[missing_x_top,missing_y_top]=ginput;
   
   centr2_top=[centr2_top; missing_x_top missing_y_top];
   
end

show_posts_bot;

sens_change_bot=questdlg('Are all posts accounted for in top image?','Post Correction');

% If posts are missing, allow user to adjust size of disk structuring element

while sens_change_bot(1:2) == 'No';
   bf=input('Adjust scaling factor(default = 1)');
   bot_factor=str2num(bf{1});
   image_proc_bot;
   show_posts_bot;
   sens_change_bot=questdlg('Are all posts accounted for in top image?','Post Correction');
end

edit_centers_bot=questdlg('Are there extra centers?','Post Correction');

% If there are extra centers, allow user to remove by clicking on them

if edit_centers_bot(1) == 'Y';
   
   uiwait(msgbox('Click on extra centers in bottom image. Press <enter> when done.','Center Removal','modal'));
   
   [extra_y_bot,extra_x_bot]=ginput;
   
   centr2_bot=compare_clicks(extra_x_bot,extra_y_bot,centr2_bot);
end

missing_centers_bot=questdlg('Are there missing posts?','Post Correction');   
   
if missing_centers_bot(1) == 'Y';
      
    uiwait(msgbox('Click on missing centers. Press <enter> when done.','Missing Centers','modal'));
   
    [missing_x_bot,missing_y_bot]=ginput;
   
   centr2_bot=[centr2_bot; missing_x_bot missing_y_bot];
   
end